This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 62316 - up2date does not load
up2date does not load
Status: CLOSED DUPLICATE of bug 61749
Product: Red Hat Public Beta
Classification: Retired
Component: up2date (Show other bugs)
skipjack-beta1
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Jay Turner
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-03-29 12:02 EST by matthew
Modified: 2015-01-07 18:55 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-01 01:32:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description matthew 2002-03-29 12:02:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/2.99 (3.0 rc3); Linux)

Description of problem:
up2date crashes immediatly after execution. the error it gives is ImportError: cannot import name clap.  The python-clap package is installed, and both clap.py and clap.pyc are sitting in /usr/lib/python1.5/site-packages

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Open terminal
2. type up2date
3. watch it crash
 

Actual Results:  crashes with the following:
[root@localhost site-packages]# up2date
Traceback (innermost last):
  File "/usr/sbin/up2date", line 16, in ?
    from up2date_client import clap
ImportError: cannot import name clap
[root@localhost site-packages]#

Expected Results:  up2date should load, either the gui or the text version.

Additional info:

didn't install any of the development packages from install, and it's running in vmware, but everything else works including rhn_register.

I've listed it as a security issue since one cannot patch their system without up2date.
Comment 1 matthew 2002-03-29 12:03:40 EST
I don't know if you can look at it, but all the package information is listed 
in the system profile through rhn.  The account name is ctlno.com and the 
machine name is vm73beta.
Comment 2 Michael Schwendt 2002-03-31 10:16:57 EST
Duplicate of bug #61749.
Comment 3 Nathan G. Grennan 2002-04-01 01:32:10 EST
This is fixed by doing one of three things.

Manually changing like 16 from

up2date_client import clap

to

import clap


Then run up2date to get the new version that fixes this problem.

Or

Run

cp -a /usr/lib/python1.5/site-packages/clap.py* /usr/share/rhn/up2date_client

Then run up2date to get the new version.


Or

Just manually download the newer up2date rpms from a rawhide directory on a
redhat mirror, then install them.
Comment 4 Bill Nottingham 2002-04-01 15:58:30 EST

*** This bug has been marked as a duplicate of 61749 ***

Note You need to log in before you can comment on or make changes to this bug.